/*********************************************************************
 *  SPDX-License-Identifier: MIT                                     *
 *  Copyright (C) 2022 by Helge Kortendieck  alan@kasmithee.de       *
 *                                                                   *
 *  This file is part of qaplay.                                     *
 *********************************************************************/

#ifndef _SETPLAYLIST_H_
#define _SETPLAYLIST_H_

#include <QDialog>
#include <QFileDialog>
#include <QFileInfo>
//#include <QListWidget>
//#include <QListWidgetItem>
#include <QMessageBox>
//#include <QPoint>
#include <QString>
#include <QTimer>
#include <QWidget>

#include "ui_setplaylist.h"

#include "m3u.h"

#include <iostream>
using namespace std;


class SetPlayList : public QDialog
{
	Q_OBJECT

public:
	SetPlayList(QDialog* parent = 0);
		~SetPlayList();

private:
	int iD;
	int iD2;

	QString sSplD;
	QString sSplFileFromDlg;
	QString sSplFileName;
	QString sSplFileNameOld;
	QString sSplFilePath;
	QString sSplFilePathName;
//	QString sSplFilePathOld;

	QStringList slSplD;
	QStringList slDSl;		// song list struct entity
//	SongList slDSl;			// song list struct entity

	Ui::wSetPlayList uispl;	// set playlist widget

	QDialog wSPl;			// set playlist widget

//	QPoint qPos;

private slots:
	void splDlgClose();								// close dialog
	void splDlgPopPathName(const QString& sSplD2);	// set playlist path and name in dialog
	void splDlgShow(const QString& sSplD);			// show set playlist dialog

	void splFileNew();								// create new playlist to add files to
	void splFileOpen();								// open file dialog to pick an existing playlist to set
	void splFileRename();							// rename current playlist
	void splFileSaveAs();							// save current playlist under different name and start using it as such

	signals:
		void sigSplQapM3uUpd(const QString& sSplD);
		void sigSplQapDelete();
};

#endif
